Up

# NSDataLinkPanel

### Authors

Scott Christley (`scottc@net-community.com`)

Copyright: (C) 1996 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSDataLinkPanel class
2. Software documentation for the NSApplication(NSDataLinkPanel) category

# Software documentation for the NSDataLinkPanel class

## NSDataLinkPanel : NSPanel

> Declared in:
>   AppKit/NSDataLinkPanel.h

> Conforms to:
>   NSCoding

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- +getLink:manager:isMultiple:
- +setLink:manager:isMultiple:
- +sharedDataLinkPanel
- -accessoryView
- -encodeWithCoder:
- -getLink:manager:isMultiple:
- -initWithCoder:
- -pickedBreakAllLinks:
- -pickedBreakLink:
- -pickedOpenSource:
- -pickedUpdateDestination:
- -pickedUpdateMode:
- -setAccessoryView:
- -setLink:manager:isMultiple:

### getLink:manager:isMultiple:

+ (void) getLink: (NSDataLink**)link manager: (NSDataLinkManager**)linkManager isMultiple: (BOOL*)flag;

Description forthcoming.

### setLink:manager:isMultiple:

+ (void) setLink: (NSDataLink*)link manager: (NSDataLinkManager*)linkManager isMultiple: (BOOL)flag;

Description forthcoming.

### sharedDataLinkPanel

+ (NSDataLinkPanel*) sharedDataLinkPanel;

Description forthcoming.

### accessoryView

- (NSView*) accessoryView;

Description forthcoming.

### encodeWithCoder:

- (void) encodeWithCoder: (NSCoder*)aCoder;

Description forthcoming.

### getLink:manager:isMultiple:

- (void) getLink: (NSDataLink**)link manager: (NSDataLinkManager**)linkManager isMultiple: (BOOL*)flag;

Description forthcoming.

### initWithCoder:

- (id) initWithCoder: (NSCoder*)aDecoder;

Description forthcoming.

### pickedBreakAllLinks:

- (void) pickedBreakAllLinks: (id)sender;

Description forthcoming.

### pickedBreakLink:

- (void) pickedBreakLink: (id)sender;

Description forthcoming.

### pickedOpenSource:

- (void) pickedOpenSource: (id)sender;

Description forthcoming.

### pickedUpdateDestination:

- (void) pickedUpdateDestination: (id)sender;

Description forthcoming.

### pickedUpdateMode:

- (void) pickedUpdateMode: (id)sender;

Description forthcoming.

### setAccessoryView:

- (void) setAccessoryView: (NSView*)aView;

Description forthcoming.

### setLink:manager:isMultiple:

- (void) setLink: (NSDataLink*)link manager: (NSDataLinkManager*)linkManager isMultiple: (BOOL)flag;

Description forthcoming.

# Software documentation for the NSApplication(NSDataLinkPanel) category

## NSApplication(NSDataLinkPanel)

> Declared in:
>   AppKit/NSDataLinkPanel.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -orderFrontDataLinkPanel:

### orderFrontDataLinkPanel:

- (void) orderFrontDataLinkPanel: (id)sender;

Description forthcoming.

Up